﻿using System.Data;
using System.Drawing;
using System.Windows.Forms;

namespace FlexGridFrozen
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            //setting data and freezing rows/cols
            c1FlexGrid1.DataSource = GetDataTable();
            c1FlexGrid1.Cols.Frozen = 2;
            c1FlexGrid1.Rows.Frozen = 2;

            //setting frozen border style
            c1FlexGrid1.Styles.Frozen.BackColor = Color.LightCyan;
            c1FlexGrid1.Styles.Frozen.Border.Color = Color.SlateGray;
        }
        private DataTable GetDataTable()
        {
            DataTable dt = new DataTable("Employees");
            dt.Columns.Add("Id", typeof(int));
            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("Department", typeof(string));
            dt.Columns.Add("Sex", typeof(string));
            dt.Columns.Add("Salary", typeof(decimal));

            dt.Rows.Add(1, "Peter", "Mgmt", "M", 5000);
            dt.Rows.Add(2, "George", "ACC", "M", 4000);
            dt.Rows.Add(3, "Frank", "IT", "M", 4500);
            dt.Rows.Add(4, "Linda", "IT", "F", 4000);
            dt.Rows.Add(5, "Fink", "ACC", "M", 3000);
            dt.Rows.Add(6, "Lucy", "ACC", "F", 5000);

            return dt;
        }
    }
}
